{
    attributes = (
        {
            columnName = "C_MOT_DELEGATION"; 
            externalType = VARCHAR2; 
            name = cMotDelegation; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_VALIDITE"; 
            externalType = DATE; 
            name = dDebValidite; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_VALIDITE"; 
            externalType = DATE; 
            name = dFinValidite; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DUREE_MAXI_DELEGATION"; 
            externalType = NUMBER; 
            name = dureeMaxiDelegation; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "LC_MOT_DELEGATION"; 
            externalType = VARCHAR2; 
            name = lcMotDelegation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = "LL_MOT_DELEGATION"; 
            externalType = VARCHAR2; 
            name = llMotDelegation; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NBR_RECONDUCTION_DELEGATION"; 
            externalType = NUMBER; 
            name = nbrReconductionDelegation; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REF_MOT_DELEGATION"; 
            externalType = VARCHAR2; 
            name = refMotDelegation; 
            valueClassName = NSString; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (
        cMotDelegation, 
        dureeMaxiDelegation, 
        lcMotDelegation, 
        llMotDelegation, 
        nbrReconductionDelegation, 
        refMotDelegation
    ); 
    className = "org.cocktail.connecteur.common.modele.grhum.nomenclature.EOTypeMotDelegation"; 
    classProperties = (
        cMotDelegation, 
        dDebValidite, 
        dFinValidite, 
        dureeMaxiDelegation, 
        llMotDelegation, 
        nbrReconductionDelegation, 
        refMotDelegation
    ); 
    externalName = "GRHUM.TYPE_MOT_DELEGATION"; 
    fetchSpecificationDictionary = {}; 
    name = TypeMotDelegation; 
    primaryKeyAttributes = (cMotDelegation); 
}
